## auctex 11.86

=== debian/changelog ===
auctex (11.86-9) unstable; urgency=low

  * [711871c] debian/auctex.docs: Remove 'ChangeLog*' entry.
  * [e120e11] Add patch: preview-image-type: Customize for Debian.
    (Closes: #276102) - thanks to Faheem Mitha
  * [56dbf46] Explain how to use source specials rather than SyncTeX.
    (Closes: #596684) - thanks to Alessandro Riggio
  * [f395010] Move some preview docs from preview-latex-style to auctex.
  * [6311a66] Replace patch: Fix ConTeXt expand options defun.
  * [1352213] Replace patch: TeX-view-program-selection: Customize for
    Debian.

 -- Davide G. M. Salvetti <salve@debian.org>  Sat, 14 Jan 2012 23:57:13 +0100

auctex (11.86-8) unstable; urgency=medium

  * [04d9f33] debian/control: Switch from Conflicts to Breaks where
    appropriate.
  * [6fbed85] Format auctex.NEWS according to DDR 6.3.4.
  * [b7abc18] Change ePerl source files suffix from ".in" to ".eperl".
  * [b41ebfe] Update copyright.
  * [30f9294] Use debhelper.
  * [b40470b] Speed up build time by skipping Emacs byte-compilation.
  * [2d91d94] update-auctex-elisp: Add daemon and no-act mode options.
  * [094ab9a] Rewrite install-time code; thanks to Frank Küster, Alexei
    Sheplyakov, Simon Pepping.  (Closes: #370659, #413318, #478070)
  * [1a1d022] debian/auctex.preinst: Protect dpkg-maintscript-helper
    invocation.
  * [3b1936f] debian/auctex.postinst: Clean old cruft: auto-loads.el~.
    (Closes: #653212)
  * [3e46ba1] Add a note to explain how to (partially) disable AUCTeX.
  * [efb3fe8] Update po/nl.po; thanks to Jeroen Schot.  (Closes: #654241)
  * [a3d3630] Update po/pt.po; thanks to Pedro Ribeiro.  (Closes: #654961)
  * [33864b5] Update po/fr.po; thanks to Steve Petruzzello.
    (Closes: #655062)

 -- Davide G. M. Salvetti <salve@debian.org>  Sun, 08 Jan 2012 19:04:08 +0100

auctex (11.86-7) unstable; urgency=low

  * [4513248] debian/auctex.triggers: Remove misplaced tree.
  * [243b72b] debian/watch: Track new upstream sources.
  * [4ca807c] Remove update-auctex-install and its references.
  * [c15f329] Add patch: Rationalize dist target in doc/Makefile.in.
  * [e625422] Add patch: TeX-auto-global: Customize for Debian.
  * [8b2e941] Reorder the patch set.
  * [819109c] Update po/sv.po; thanks to Martin Bagge.  (Closes: #653560)
  * [21140ef] Update po/de.po; thanks to Helge Kreutzmann.
    (Closes: #653670)
  * [e86103c] Update po/ru.po; thanks to Yuri Kozlov.  (Closes: #653710)

 -- Davide G. M. Salvetti <salve@debian.org>  Sat, 31 Dec 2011 18:55:18 +0100

auctex (11.86-6) unstable; urgency=low

  * [925840e] Use dpkg triggers to parse new (La)TeX macros and style
    files; thanks to Josh Triplett.  (Closes: #478733)
  * [3c6c060] Stop recommending doc-base; thanks to Jonathan Nieder.
    (Closes: #610168)
  * [99860b2] Clean up obsolete conffiles; thanks to Sven Joachim.
    (Closes: #652962)
  * [c238fc3] Don't install unneeded files; thanks to Sven Joachim.
    (Closes: #652964)

 -- Davide G. M. Salvetti <salve@debian.org>  Fri, 23 Dec 2011 00:20:50 +0100

auctex (11.86-5) unstable; urgency=low

  * [5a6ba82] Drop emacs21, emacs22 and emacs-snapshot support.
  * [cb09a98] Add debian/copyright to the source package.
  * [0681817] Update po/nl.po; thanks to Jeroen Schot.  (Closes: #652150)

 -- Davide G. M. Salvetti <salve@debian.org>  Wed, 21 Dec 2011 21:57:55 +0100

auctex (11.86-4) unstable; urgency=low

  * [76ae771] Upgrade Standards-Version to 3.9.2.
  * [b669d50] Add po/ko.po; thanks to 강민지.  (Closes: #631896)

 -- Davide G. M. Salvetti <salve@debian.org>  Tue, 28 Jun 2011 21:37:14 +0200

auctex (11.86-3) unstable; urgency=low

  * [f31efb1] Add patch: Also clean PDF docs; thanks to Matthias Kümmerer.
  * [88f9ccc] Add patch: Fix preview with latest ghostscript; thanks to
    Faheem Mitha.
  * [adc29ae] Add language code to the Language field in po files missing it.
  * [0a0c25b] Add po/da.po; thanks to Joe Dalton.  (Closes: #619658)
  * [f11007e] Imported NMU: 11.86-2.1.

 -- Davide G. M. Salvetti <salve@debian.org>  Wed, 22 Jun 2011 17:30:50 +0200

auctex (11.86-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add Patch: Remove preview/latex/preview.pdf in make clean
    (Closes: #628787)
  * Add Patch: Preview not working with new Ghostscript
    (Patch from CVS) (Closes: #610714)

 -- Matthias Kümmerer <matthias@matthias-k.org>  Thu, 02 Jun 2011 16:03:08 +0200

auctex (11.86-2) unstable; urgency=low

  * [3b1fd8d] Update copyright year for man pages and debian/variables.
  * [797e2b8] Change 'Recommends: xpdf-reader' to 'Recommends: xpdf'.
  * [7ed99ae] Add patch: Fix TeX engine alist builtin defvar; thanks to
    Sanjoy Mahajan.  (Closes: #597006)

 -- Davide G. M. Salvetti <salve@debian.org>  Fri, 24 Sep 2010 23:45:55 +0200

auctex (11.86-1) unstable; urgency=low

  * [c9e48f5] Switch to 3.0 (quilt) source format.
  * [43613e3] Add patch: Rationalize HTML documentation targets in
    doc/Makefile.in.
  * [6782f7a] Call auctex/Makefile lisp target before calling install-
    lisp.
  * [29d4857] Update copyright year.
  * [6ad7010] Imported Upstream version 11.86; thanks to Rogério Brito.
    (Closes: #577151)
  * [cca6ed8] Update patch: Rationalize HTML documentation targets in
    doc/Makefile.in.
  * [19de369] Add a fake maintainer-clean target to MAKEFILEHACKS.
  * [a9c13b5] Add Debian customized 11.86 release notes to
    debian/auctex/NEWS.
  * [d7dcf99] Add patch: Change pdf viewer default from Evince to xpdf.
  * [20836ab] Upgrade Standards-Version to 3.9.1.

 -- Davide G. M. Salvetti <salve@debian.org>  Fri, 27 Aug 2010 17:06:08 +0200

auctex (11.85-1) unstable; urgency=low

  * New upstream release.  (Closes: #482956)
  * control (Standards-Version): 3.8.3
  * control (auctex/Depends): Add "dpkg (>= 1.15.4) | install-info" as per
    3.8.3 standards.
  * COPYRIGHT, copyright.in: Update (GPL v3).
  * variables (INFOSEC, AUCTEX_INFOMENU, AUCTEX_INFODESC,
    PREVIEW_INFOMENU, PREVIEW_INFODESC, DINSTALL, DREMOVE, IINSTALL,
    IREMOVE): Remove.

